package org.implab.gradle.variants.artifacts.internal;

import java.util.Set;

import org.eclipse.jdt.annotation.NonNullByDefault;
import org.implab.gradle.variants.core.Layer;

@NonNullByDefault
record LayerOutputsContribution(Layer layer, Set<String> outputs) implements SlotContribution {
    @Override
    public void accept(SlotContributionVisitor visitor) {
        visitor.visit(this);
    }
}
